petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerSetType

Builds PetscViewer for a particular implementation.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerSetType(PetscViewer viewer,PetscViewerType type)

Collective on PetscViewer

### Input Parameter

| viewer | - the PetscViewer context
| type | - for example, PETSCVIEWERASCII

### Options Database Command

-viewer_type <type> -Sets the type; use -help for a list of available methods (for instance, ascii)

### Notes

See "include/petscviewer.h" for available methods (for instance, PETSCVIEWERSOCKET)

### See Also

PetscViewerCreate(), PetscViewerGetType(), PetscViewerType, PetscViewerPushFormat()

### Level

advanced

### Location

src/sys/classes/viewer/interface/viewreg.c

### Examples

src/sys/classes/viewer/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
src/dm/examples/tutorials/ex15.c.html
src/dm/examples/tutorials/ex20.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages